﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="HAMS Project 1.0">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content=",">
    <link rel="shortcut icon" href="~/Content/img/favicon.png">
    <title>SecureProperty - @RenderSection("PAGETITLE", required: false)</title>
    <!-- Icons -->
    <link href="~/Content/vendors/css/flag-icon.min.css" rel="stylesheet">
    <link href="~/Content/vendors/css/font-awesome.min.css" rel="stylesheet">
    <link href="~/Content/vendors/css/simple-line-icons.min.css" rel="stylesheet">

    @* <!-- Main styles for this application --> *@
    <link href="~/Content/css/style.css" rel="stylesheet">
    <link href="~/Content/css/submenu.css" rel="stylesheet" />
    <!-- Styles required by this views -->
    <link href="~/Content/vendors/css/gauge.min.css" rel="stylesheet">
    <link href="~/Content/vendors/css/toastr.min.css" rel="stylesheet">

    <!-- Bootstrap and necessary plugins -->
    <script src="~/Content/vendors/js/jquery.min.js"></script>

    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>

    <!-- CoreUI Pro main scripts -->

    <script src="~/Content/js/app.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <!-- Plugins and scripts required by this views -->
    <script src="~/Content/vendors/js/gauge.min.js"></script>
    <script src="~/Content/vendors/js/moment.min.js"></script>
    <script src="~/Content/vendors/js/daterangepicker.min.js"></script>
    <script src="~/Content/vendors/js/jquery.signalR-2.4.1.min.js"></script>
    <script src="/signalr/hubs"></script>

    <!-- Custom scripts required by this view -->

    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>


    <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
    <script src="~/Content/vendors/js/select2.min.js"></script>
    <link href="~/Content/vendors/css/select2.min.css" rel="stylesheet" />

    <!-- Icons-->
    <link href="~/Content/vendors/css/coreui-icons.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/flag-icon.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/simple-line-icons.min.css" rel="stylesheet" />





    @RenderSection("HEADERJS", required: false)
    @RenderSection("HEADERCSS", required: false)

    <style>
        .sub-dropdown-menu {
            background-color: #2b5468;
        }

            .sub-dropdown-menu > ul > li > a {
                color: white;
            }

                .sub-dropdown-menu > ul > li > a:hover {
                    background-color: #01254c;
                }

        .nav-menus {
            padding: 0px;
            margin: 0px;
            border: 0px;
            background-color: #2b5468;
        }

            .nav-menus > ul > li > a:hover {
                background-color: #01254c;
            }

            .nav-menus > ul > li > a {
                color: white;
            }

        .sub-dropdown {
            padding: 0px;
            margin: 0px;
            border: 0px;
        }

            .sub-dropdown > li > a :hover {
                background-color: #01254c;
            }

        .profile-bar:hover {
            background-color: #396a72;
        }

        .hams-class {
            margin-bottom: 200px;
        }

        .nav-link {
            color: black !important;
        }


        @@media (max-width: 575.98px) {
            .hidemobilediv {
                display: none;
            }
        }

        @@media (min-width: 576px) and (max-width: 767.98px) {
            .hidemobilediv {
                display: none;
            }
        }

        @@media (max-width: 575.98px) {
            .fontsizediv {
                font-size: small;
            }
        }

        @@media (min-width: 576px) and (max-width: 767.98px) {
            .fontsizediv {
                font-size: small;
            }
        }

        @*footer for big/normal screen*@
        footer {
            display: flex;
            justify-content: space-between;
        }
        @*footer for Mobile Devices*@
        @@media (max-width: 600px) {
            footer {
                display: flex;
                flex-direction: column;
                justify-content: center;
            }
        }
    </style>

    <style>
        input[required] {
            border: 1px solid red;
        }
    </style>
    <style>
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 34px;
        }
    </style>
    <style>
        #searchForm .select2 {
            width: 20% !important;
            min-width: 200px;
        }

        .select2 {
            width: 100% !important;
        }
    </style>

    <script>

        function showToastr(status, message) {

            var title = 'Welcome to HAMS Project 1.0';

            var type = (typeof status === 'undefined' || status === '') ? 'info' : status.toLowerCase();

            if (status == "Fail") type = 'error';

            toastr[type](message, title, { closeButton: true, progressBar: true, });
        }


    </script>

    <script>

        function LoadSelect2(sender, url) {

            $(sender).select2({
                ajax: {
                    url: url, //URL for searching data
                    dataType: "json",
                    delay: 200,
                    data: function (params) {
                        return {
                            term: params.term, //params send to controller
                        };
                    },
                    processResults: function (data) {

                        return {
                            results: data.items
                        };
                    },
                    cache: true
                },
                placeholder: "Start typing",
                minimumInputLength: 2,
            });

        }

    </script>

</head>

<!-- BODY options, add following classes to body to change options

// Header options
1. '.header-fixed'					- Fixed Header

// Brand options
1. '.brand-minimized'       - Minimized brand (Only symbol)

// Sidebar options
1. '.sidebar-fixed'					- Fixed Sidebar
2. '.sidebar-hidden'				- Hidden Sidebar
3. '.sidebar-off-canvas'		- Off Canvas Sidebar
4. '.sidebar-minimized'			- Minimized Sidebar (Only icons)
5. '.sidebar-compact'			  - Compact Sidebar

// Aside options
1. '.aside-menu-fixed'			- Fixed Aside Menu
2. '.aside-menu-hidden'			- Hidden Aside Menu
3. '.aside-menu-off-canvas'	- Off Canvas Aside Menu

// Breadcrumb options
1. '.breadcrumb-fixed'			- Fixed Breadcrumb

// Footer options
1. '.footer-fixed'					- Fixed footer

-->


<body class="app header-fixed background1">


    <header class="app-header navbar">



        <div>
            @*<h1 class="h1 m-2 text-muted hams-class fontsizediv mr-1">*@

            <ul class="nav navbar-nav ml-auto m-3">
                <li class=" nav-item abc" @*onMouseOver="this.style.color = '#31b1e0'" onMouseOut="this.style.color = 'black'"*@>

                    <img style="width: 32px; height: 32px; margin-right: 15px" href="#" onclick="location.href = '@Url.Action("About", "Home")'" src="~/Content/img/logo.png" />
                </li>
                <li class=" nav-item abc" @*onMouseOver="this.style.color = '#31b1e0'" onMouseOut="this.style.color = 'black'"*@>

                    <span style="color:#0f408e">B</span><span style="color:cadetblue" href="#" onclick="location.href = '@Url.Action("About", "Home")'">WPH</span>

                </li>





            </ul>

        </div>
        @if (!string.IsNullOrEmpty(Session[SessionKeys.USERNAME] as string) && !string.IsNullOrEmpty(Session[SessionKeys.PASSWORD] as string))
        {


            var myList = (List<Tuple<string, List<Tuple<string, string>>>>)Session[SessionKeys.MODULE_LIST];
            var noOfNotification = (string)Session[SessionKeys.NO_OF_EMPLOYEES];
            <ul class="navbar-nav">
                <li class="nav-item dropdown">
                    <button class="navbar-toggler sidebar-toggler  mr-auto" type="button" data-toggle="sidebar-show">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="dropdown-menu dropdown-menu-right">

                        <ul>
                            <div class="dropdown-menu nav-menus">
                                @if (myList != null)
                                {
                                    <ul>
                                        @for (int j = 0; j < myList.Count; j++)
                                        {
                                            var VARIABLE = myList[j];
                                            <li class="sub-dropdown">
                                                <a href="#">@VARIABLE.Item1</a>
                                                <div class="sub-dropdown-menu">
                                                    @for (int i = 0; i < VARIABLE.Item2.Count; i++)
                                                    {
                                                        var x = VARIABLE.Item2[i];
                                                        <ul>
                                                            <li>
                                                                @* <a href="@Url.Action("ModuleManagement", "Module", new {})"> *@
                                                                @{
                                                                    var controller = x.Item2.Split('\\')[0].ToString();
                                                                    var module = x.Item2.Split('\\')[1].ToString();
                                                                }
                                                                <a href="@Url.Action(module, controller, new {})">
                                                                    @x.Item1
                                                                </a>
                                                            </li>
                                                            @if (i != VARIABLE.Item2.Count - 1)
                                                            {
                                                                @*                                                                 <li><hr></li> *@

                                                            }
                                                        </ul>
                                                    }
                                                </div>

                                            </li>
                                            if (j != (myList.Count - 1))
                                            {
                                                @*                                                 <li><hr></li> *@
                                            }
                                        }
                                    </ul>
                                }
                            </div>
                        </ul>
                    </div>
                </li>
            </ul>
            <div style="flex: 2; text-align: center">
                <h1 class="h1 m-2 text-muted hams-class hidemobilediv">
                    <span style="color:#0f408e">H</span><span style="color:cadetblue">AMS</span>
                </h1>
            </div>

            <ul class="nav navbar-nav ml-auto m-3">

                @* NOTIFICATION BUTTON + BADGE *@
                @* @Html.RenderPartial("Notication", @Model) *@

                <span class="hidemobilediv"> System Date: @Session[SessionKeys.SYSTEM_DATE]</span>

                <li class="nav-item dropdown">
                    <a class="nav-link" href="#" id="navigation-bell">
                        <i class="icon-bell"></i>
                        <span class="badge badge-pill badge-danger" val="@noOfNotification" id="count">@noOfNotification</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right dropdown-menu-lg" style="height: 85vh; overflow-y: auto; " id="notification-list">
                        <div class="dropdown-header text-center" id="notification-count"><strong>You have @noOfNotification new notifications</strong></div>
                    </div>
                </li>

                @{
                    var PicturePath = (string)Session[SessionKeys.USER_PROFILE_PICTUREPATH];
                }

                @* USERINFO DETAILS DROP DOWN *@
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                        @{
                            var time = "?" + DateTime.Now.ToString("h:mm:ss tt");
                        }
                        @* <img class="img-avatar" src="@Url.Content(PicturePath)" alt="admin@bootstrapmaster.com"> *@
                        <img class="img-avatar" src="@Url.Content(PicturePath+time)" alt="admin@bootstrapmaster.com">
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" style="height: 48vh; overflow-y: auto;">
                        <div class="dropdown-header text-center">
                            <strong>Account</strong>
                        </div>
                        <a class="dropdown-item profile-bar" href="#">
                            <i class="icon-people"></i> @Session[SessionKeys.DISPLAY_USER_NAME]
                        </a>
                        <a class="dropdown-item profile-bar" href="#">
                            <i class="icon-calendar"></i> @Session[SessionKeys.LOGIN_TIME]
                        </a>
                        <a class="dropdown-item profile-bar" href="#">
                            <i class="icon-globe"></i> @Session[SessionKeys.EXTERNAL_LOGIN_IP_ADDRESS]
                        </a>
                        <a class="dropdown-item profile-bar" href="#">
                            <i class="icon-globe-alt"></i> @Session[SessionKeys.LOCAL_LOGIN_IP_ADDRESS]
                        </a>
                        <a class="dropdown-item profile-bar" href="#">
                            <i class="icon-screen-desktop"></i>@Session[SessionKeys.PC_NAME]
                        </a>
                        <a class="dropdown-item profile-bar" href="@Url.Action("Logout", "Accounts")">
                            <i class="fa fa-lock"></i> Logout
                        </a>
                    </div>
                </li>
            </ul>

        }
        else
        {
            <ul class="nav navbar-nav ml-auto m-3">
                <button type="button" class="btn btn-outline-primary m-auto" onclick="location.href='@Url.Action("Login", "Accounts", new {})'">Login</button>
            </ul>
        }


    </header>


    <div class="app-body">
        <!-- Main content -->
        <main class="main">

            @if (!string.IsNullOrEmpty(Session[SessionKeys.USERNAME] as string) && !string.IsNullOrEmpty(Session[SessionKeys.PASSWORD] as string))
            {
                @Html.Partial("~/Views/Shared/_Breadcrumb.cshtml")
            }


            @* TODO: SEPARATE THESE FROM SHARED AND POPULATE BASED ON CURRENT VIEW *@





            <div class="container-fluid">
                @RenderBody()
            </div>
            <!-- /.conainer-fluid -->
        </main>

    </div>

    <footer class="app-footer">
        <div>
            <span class="w3-col m4 l3">
                <a href="#">HAMS</a> © 2019
            </span>
        </div>
        <div>
            <span class="w3-col m4 l3">
                Powered by<a href="#"> eSecureSoft Technologies Ltd.</a>
            </span>
        </div>


    </footer>
    <script>
        function expireSession() {
            window.location.href = "/Accounts/Logout";
        }
        setTimeout('expireSession()', 2100000);//35 min
    </script>
    <script type="text/javascript">
        $(function () {
            // Click on notification icon for show notification
            $('#navigation-bell').hover(function (e) {
                //alert('dds');
                e.stopPropagation();
                //                $('.noti-content').show();
                var count = 0;
                count = parseInt($('#count').html()) || 0;
                //only load notification if not already loaded
                //                if (count > 0) {
                updateNotification();
                //                }
                //$('#count', this).html('&nbsp;');
            })
            // hide notifications
            //            $('html').click(function () {
            //                $('.noti-content').hide();
            //            })
            // update notification
            function updateNotification() {
                //$('#notiContent').empty();
                //$('#notiContent').append($('<li>Loading...</li>'));
                $.ajax({
                    type: 'post',
                    url: '/home/GetNotifications',
                    success: function (response) {
                        //                        $('#notiContent').empty();
                        //                        alert('jjj');
                        $('#notification-count').html('<strong>You have ' + response.length + ' notifications</strong>');
                        var str = "";
                        str += '<div class="dropdown-header text-center"><strong>You have ' + parseInt($('#count').html()) + ' new notifications</strong>';
                        //str += '<button type="button" class="btn btn-cyan btn-sm" data-toggle="tooltip" data-placement="bottom" title="View" onclick="allNotificationView()"><i class="icon-eye"></i></button></div>';
                        str +=
                            '<a href="#" onclick="allNotificationView()" style="padding: 0px;color: #03a0a0; text-align: center; text-decoration: underline">Show All</a></div>';
                        if (response.length == 0) {
                            //alert("no data available");
                        } else {
                            //                            alert('hey');
                            for (var i = 0; i < response.length; i++) {
                                var class_text = "icon-user-follow";
                                if (response[i].NotificationHeader == 'Post') {
                                    class_text = '<i class="fa fa-file text-success"></i><i class="fa fa-plus text-success"></i>';
                                } else if (response[i].NotificationHeader == 'EditedPost') {
                                    class_text = '<i class="fa fa-file text-warning"></i><i class="fa fa-edit text-warning"></i>';
                                } else if (response[i].NotificationHeader == 'Comment') {
                                    class_text = '<i class="fa fa-comment text-success"></i><i class="fa fa-plus text-success"></i>';
                                } else if (response[i].NotificationHeader == 'EditedComment') {
                                    class_text = '<i class="fa fa-comment text-warning"></i><i class="fa fa-edit text-warning"></i>';
                                } else if (response[i].NotificationHeader == 'DeletedPost') {
                                    class_text = '<i class="fa fa-file text-danger"></i><i class="fa fa-trash text-danger"></i>';
                                } else if (response[i].NotificationHeader == 'DeletedComment') {
                                    class_text = '<i class="fa fa-comment text-danger"></i><i class="fa fa-trash text-danger"></i>';
                                } else if (response[i].NotificationHeader == 'Booking') {
                                    class_text = '<i class="fa fa-bed text-success"></i><i class="fa fa-plus text-success"></i>';
                                } else if (response[i].NotificationHeader == 'CancelledBooking') {
                                    class_text = '<i class="fa fa-bed text-danger"></i><i class="fa fa-trash text-danger"></i>';
                                } else if (response[i].NotificationHeader == 'EditInfo') {
                                    class_text = '<i class="fa fa-user text-warning"></i><i class="fa fa-edit text-warning"></i>';
                                }
                                str += ('<a class="dropdown-item" onclick="clickedWithDelete(\'' + response[i].NotificationHeader + '\', \'' + response[i].NotificationId + '\')" style="white-space:normal;" href=' + response[i].NotificationLink + '>' + class_text + response[i].NotificationText + '</a>');
                            }
                            //$('#notification-list').html(str);
                            //alert(response.length());
                        }
                        $('#notification-list').html(str);
                    },
                    error: function (error) {
                        //console.log(error);
                        //                        alert('jjj');
                    }
                })
            }
        })
    </script>
    <script>
        function allNotificationView() {
            //            alert(post_Id);
            window.open('/Home/NotificationView', '_blank');
        }
    </script>
    <script>
        function clickedWithDelete(x, y) {
            // alert(x);
            //        alert(y);
            var myModel = {
                notificationId: y,
            };
            //if (x === "PD" || x === "CD" || x ==="B" || x === "BD" || x === "OE") {
            $.ajax({
                context: this,
                type: 'post',
                url: '../home/UpdateNotification/',
                data: myModel,
                success: function (result) {
                    //alert(myModel.PartialUserDetailsViewModels);
                    //window.location = '../Home/About';
                },
                error: function () {
                    //error();
                }
            });
            //}
        }
    </script>
    <script>
        var isActive = true;

        $(document).ready(function () {
            //EITHER USE A GLOBAL VAR OR PLACE VAR IN HIDDEN FIELD
            //IF FOR WHATEVER REASON YOU WANT TO STOP POLLING
            pollServer();
        });

        function pollServer() {
            if (isActive) {
                window.setTimeout(function () {
                    $.ajax({
                        url: "/Notification/NotificationSending",
                        type: "POST",
                        success: function (result) {
                            //SUCCESS LOGIC
                            //alert(parseInt($('#count').html()));
                            if (parseInt(result) > parseInt($('#count').html())) {
                                toastr.info('New notification(s) have occured', 'Info', {
                                    closeButton: true,
                                    timeOut: 1500,
                                    progressBar: true,
                                });
                            }
                            $('#count').html(result);
                            pollServer();
                        },
                        error: function () {
                            //ERROR HANDLING
                            pollServer();
                        }
                    });
                }, 2500);
            }
        }
    </script>
    @RenderSection("FOOTERJS", required: false)
   

    @*<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>*@
</body>

</html>